from connect import connection
import sqlalchemy as db



# esta funcion se obtiene cuando un administrador quiere ver los perfiles de administradores
#   url: /admin/ver/admin
def admin():


    ###### headers
    # headers contiene los titulos de las columnas

    headers = '['
    headers += '{"nombre":"Nombre"}'
    headers += ','
    headers += '{"nombre":"Posicion"}'
    headers += ','
    headers += '{"nombre":"Email"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Editar"}'
    headers += ']'
    #
    # headers={}
    # headers.update({"nombre":"Nombre"})
    # headers.update({"nombre":"Posicion"})
    # headers.update({"nombre":"Email"})
    # headers.update({"1":"Codigo"})
    # headers.update({"nombre":"Informacion"})
    # headers.update({"nombre":"Editar"})



    ###### tabla
    # tabla contiene la informacion que sale en las filas
    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u,administracion a \
            WHERE u.id = a.user_id'
    result_db = connection.execute(query).fetchall()

    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        tabla += '{'
        tabla += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        tabla += ','

        query = 'SELECT posicion FROM administracion a WHERE a.user_id = ' + str(q[0])
        posicion = connection.execute(query).fetchall()
        tabla += '"Posicion":"'+(str(posicion[0][0]))+'"'

        tabla += ','
        tabla += '"Email":"'+(q[3])+'"'
        tabla += ','
        tabla += '"user_id":"'+(str(q[0]))+'"'
        tabla += '}'

        if i < len_result:
            tabla += ','
    tabla += ']'


    ###### modal_content
    # modal_content contiene la informacion única de cada fila al presionar 'ver mas'

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u,administracion a \
            WHERE u.id = a.user_id'
    result_db = connection.execute(query).fetchall()

    modal_content = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1

        modal_content += '{'
        modal_content += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        modal_content += ','
        query = 'SELECT posicion FROM administracion a WHERE a.user_id = ' + str(q[0])
        posicion = connection.execute(query).fetchall()
        modal_content += '"Posicion":"'+(str(posicion[0][0]))+'"'
        modal_content += ','
        modal_content += '"Email":"'+(q[3])+'"'
        modal_content += ','
        modal_content += '"user_id":"'+(str(q[0]))+'"'
        modal_content += '}'

        if i < len_result:
            modal_content += ','
    modal_content += ']'

    ###### info

    info = '{'
    info += '"dash_name":"Manejar Administracion"' #nombre en el header
    info += ','
    info += '"dash_link":"/admin/ver/"' #link si click el header
    info += ','
    info += '"dash_sub_name":"Administracion Registrados"' #titulo grande de la pagina
    info += ','
    info += '"add":"Anadir Administracion"' #texto en el boton para a~nadir perfil
    info += ','
    info += '"add_link":"/admin/forma/add/administracion/"' #direccion para el boton para a~nadir perfil
    info += ','
    info += '"bot1":"Ver Mas"' #texto del primer boton en una fila
    info += ','
    info += '"bot2":"Editar"' #texto del segundo boton en una fila
    info += ','
    info += '"dir2":"/admin/forma/edit/administracion/"' #direccion del segundo boton
    info += '}'


    ###### modal
    # modal contiene el titulo y la direccion parcial del modal

    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"/admin/ver/"'
    modal += '}'

    result = '{"headers":'+headers+',"tabla":'+tabla+',"modal_content":'+modal_content+',"info":'+info+',"modal":'+modal+'}'

    return(result)

# esta funcion se obtiene cuando un administrador quiere ver los perfiles de encargados
#   url: /admin/ver/encargados
def encargados():

    ###### headers
    # headers contiene los titulos de las columnas

    headers = '['
    headers += '{"nombre":"Nombre"}'
    headers += ','
    headers += '{"nombre":"Hijos matriculados"}'
    headers += ','
    headers += '{"nombre":"Especialidad"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Editar"}'
    headers += ']'


    ###### tabla
    # tabla contiene la informacion que sale en las filas

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
    FROM usuarios u,madres m \
    WHERE u.id = m.user_id'
    result_db = connection.execute(query).fetchall()

    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        tabla += '{'
        tabla += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        tabla += ','

        query = 'SELECT count(*) FROM madres_estudiantes me WHERE me.madre_id = ' + str(q[0])
        total_hijos = connection.execute(query).fetchall()

        tabla += '"Hijos Matriculados":"'+str(total_hijos[0][0])+'"'

        tabla += ','
        tabla += '"Email":"'+(q[3])+'"'
        tabla += ','
        tabla += '"user_id":"'+str(q[0])+'"'
        tabla += '}'
        if i < len_result:
            tabla += ','
    tabla += ']'




    ###### modal_content
    # modal_content contiene la informacion única de cada fila al presionar 'ver mas'

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
    FROM usuarios u,madres m \
    WHERE u.id = m.user_id'
    result_db = connection.execute(query).fetchall()

    modal_content = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        modal_content += '{'
        modal_content += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        modal_content += ','

        query = 'SELECT count(*) FROM madres_estudiantes me WHERE me.madre_id = ' + str(q[0])
        total_hijos = connection.execute(query).fetchall()

        modal_content += '"Hijos Matriculados":"'+str(total_hijos[0][0])+'"'

        modal_content += ','
        modal_content += '"Email":"'+(q[3])+'"'
        modal_content += ','
        modal_content += '"user_id":"'+str(q[0])+'"'
        modal_content += '}'
        if i < len_result:
            modal_content += ','
    modal_content += ']'



    ###### info

    info = '{'
    info += '"dash_name":"Manejar Encargados"' #nombre en el header
    info += ','
    info += '"dash_link":"/admin/ver/"' #link si click el header
    info += ','
    info += '"dash_sub_name":"Encargados Registrados"' #titulo grande de la pagina
    info += ','
    info += '"add":"Anadir Encargados"' #texto en el boton para a~nadir perfil
    info += ','
    info += '"add_link":"/admin/forma/add/madre/"' #direccion para el boton para a~nadir perfil
    info += ','
    info += '"bot1":"Ver Mas"' #texto del primer boton en una fila
    info += ','
    info += '"bot2":"Editar"' #texto del segundo boton en una fila
    info += ','
    info += '"dir2":"/admin/forma/edit/madre/"' #direccion del segundo boton
    info += '}'

    ###### modal
    # modal contiene el titulo y la direccion parcial del modal

    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"/admin/ver/"'
    modal += '}'

    result = '{"headers":'+headers+',"tabla":'+tabla+',"modal_content":'+modal_content+',"info":'+info+',"modal":'+modal+'}'

    return(result)


# esta funcion se obtiene cuando un administrador quiere ver los perfiles de enfermeras
#   url: /admin/ver/enfermeria
def enfermeria():

    ###### headers
    # headers contiene los titulos de las columnas

    headers = '['
    headers += '{"nombre":"Nombre"}'
    headers += ','
    headers += '{"nombre":"Especialidad"}'
    headers += ','
    headers += '{"nombre":"Email"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Editar"}'
    headers += ']'


    ###### tabla
    # tabla contiene la informacion que sale en las filas

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u,enfermeras e \
            WHERE u.id = e.user_id'
    result_db = connection.execute(query).fetchall()

    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        tabla += '{'
        tabla += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        tabla += ','

        query = 'SELECT especialidad FROM enfermeras e WHERE e.user_id = ' + str(q[0])
        especialidad = connection.execute(query).fetchall()

        tabla += '"Especialidad":"'+(str(especialidad[0][0]))+'"'

        tabla += ','
        tabla += '"Email":"'+(q[3])+'"'
        tabla += ','
        tabla += '"user_id":"'+str(q[0])+'"'
        tabla += '}'
        if i < len_result:
            tabla += ','
    tabla += ']'



    ###### modal_content
    # modal_content contiene la informacion única de cada fila al presionar 'ver mas'

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u,enfermeras e \
            WHERE u.id = e.user_id'
    result_db = connection.execute(query).fetchall()

    modal_content = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1

        query = 'SELECT especialidad FROM enfermeras e WHERE e.user_id = ' + str(q[0])
        especialidad = connection.execute(query).fetchall()

        modal_content += '{'
        modal_content += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        modal_content += ','
        modal_content += '"Especialidad":"'+(str(especialidad[0][0]))+'"'
        modal_content += ','
        modal_content += '"Email":"'+(q[3])+'"'
        modal_content += ','
        modal_content += '"user_id":"'+str(q[0])+'"'
        modal_content += '}'
        if i < len_result:
            modal_content += ','
    modal_content += ']'


    ###### info

    info = '{'
    info += '"dash_name":"Manejar Enfermeria"' #nombre en el header
    info += ','
    info += '"dash_link":"/admin/ver/"' #link si click el header
    info += ','
    info += '"dash_sub_name":"Enfermeras Registrados"' #titulo grande de la pagina
    info += ','
    info += '"add":"Anadir Enfermera"' #texto en el boton para a~nadir perfil
    info += ','
    info += '"add_link":"/admin/forma/add/enfermera/"' #direccion para el boton para a~nadir perfil
    info += ','
    info += '"bot1":"Ver Mas"' #texto del primer boton en una fila
    info += ','
    info += '"bot2":"Editar"' #texto del segundo boton en una fila
    info += ','
    info += '"dir2":"/admin/forma/edit/enfermera/"' #direccion del segundo boton
    info += '}'

    ###### modal
    # modal contiene el titulo y la direccion parcial del modal

    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"/admin/ver/"'
    modal += '}'

    result = '{"headers":'+headers+',"tabla":'+tabla+',"modal_content":'+modal_content+',"info":'+info+',"modal":'+modal+'}'

    return(result)


# esta funcion se obtiene cuando un administrador quiere ver los perfiles de estudiantes
#   url: /admin/ver/estudiantes
def estudiantes():

    ###### headers
    # headers contiene los titulos de las columnas

    headers = '['
    headers += '{"nombre":"Nombre"}'
    headers += ','
    headers += '{"nombre":"Grado"}'
    headers += ','
    headers += '{"nombre":"Email"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Editar"}'
    headers += ']'



    ###### tabla
    # tabla contiene la informacion que sale en las filas

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u, estudiantes m \
            WHERE u.id = m.user_id'
    result_db = connection.execute(query).fetchall()

    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        tabla += '{'
        tabla += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        tabla += ','

        query = 'SELECT grado FROM estudiantes e WHERE e.user_id = ' + str(q[0])
        total_hijos = connection.execute(query).fetchall()

        tabla += '"Hijos Matriculados":"'+str(total_hijos[0][0])+'"'

        tabla += ','
        tabla += '"Email":"'+(q[3])+'"'
        tabla += ','
        tabla += '"user_id":"'+str(q[0])+'"'
        tabla += '}'
        if i < len_result:
            tabla += ','
    tabla += ']'



    ###### modal_content
    # modal_content contiene la informacion única de cada fila al presionar 'ver mas'

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u, estudiantes m \
            WHERE u.id = m.user_id'
    result_db = connection.execute(query).fetchall()

    modal_content = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1

        query = 'SELECT grado FROM estudiantes e WHERE e.user_id = ' + str(q[0])
        total_hijos = connection.execute(query).fetchall()

        modal_content += '{'
        modal_content += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        modal_content += ','
        modal_content += '"Hijos Matriculados":"'+str(total_hijos[0][0])+'"'
        modal_content += ','
        modal_content += '"Email":"'+(q[3])+'"'
        modal_content += ','
        modal_content += '"user_id":"'+str(q[0])+'"'
        modal_content += '}'
        if i < len_result:
            modal_content += ','
    modal_content += ']'


    ###### info

    info = '{'
    info += '"dash_name":"Manejar Estudiantes"' #nombre en el header
    info += ','
    info += '"dash_link":"/admin/ver/"' #link al click el header
    info += ','
    info += '"dash_sub_name":"Estudiantes Registrados"' #titulo grande de la pagina
    info += ','
    info += '"add":"Anadir Estudiantes"' #texto en el boton para a~nadir perfil
    info += ','
    info += '"add_link":"/admin/forma/add/estudiante/"' #direccion para el boton para a~nadir perfil
    info += ','
    info += '"bot1":"Ver Mas"' #texto del primer boton en una fila
    info += ','
    info += '"bot2":"Editar"' #texto del segundo boton en una fila
    info += ','
    info += '"dir2":"/admin/forma/edit/estudiante/"' #direccion del segundo boton
    info += '}'

    ###### modal
    # modal contiene el titulo y la direccion parcial del modal

    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"/admin/ver/"'
    modal += '}'

    result = '{"headers":'+headers+',"tabla":'+tabla+',"modal_content":'+modal_content+',"info":'+info+',"modal":'+modal+'}'

    # print(result)
    return(result)



# esta funcion se obtiene cuando un administrador quiere ver los perfiles de
#   url: /admin/ver/facultad
def facultad():
    # headers contiene los titulos de las columnas

    ###### headers

    headers = '['
    headers += '{"nombre":"Nombre"}'
    headers += ','
    headers += '{"nombre":"Especialidad"}'
    headers += ','
    headers += '{"nombre":"Email"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Editar"}'
    headers += ']'


    ###### tabla
    # tabla contiene la informacion que sale en las filas

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u,facultad f \
            WHERE u.id = f.user_id'
    result_db = connection.execute(query).fetchall()


    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        tabla += '{'
        tabla += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        tabla += ','

        query = 'SELECT f.especialidad FROM facultad f WHERE f.user_id =' + str(q[0])
        total_hijos = connection.execute(query).fetchall()

        tabla += '"Hijos Matriculados":"'+str(total_hijos[0][0])+'"'

        tabla += ','
        tabla += '"Email":"'+(q[3])+'"'
        tabla += ','
        tabla += '"user_id":"'+str(q[0])+'"'
        tabla += '}'
        if i < len_result:
            tabla += ','
    tabla += ']'



    ###### modal_content
    # modal_content contiene la informacion única de cada fila al presionar 'ver mas'

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u,facultad f \
            WHERE u.id = f.user_id'
    result_db = connection.execute(query).fetchall()


    modal_content = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1

        query = 'SELECT f.especialidad FROM facultad f WHERE f.user_id =' + str(q[0])
        total_hijos = connection.execute(query).fetchall()

        modal_content += '{'
        modal_content += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        modal_content += ','
        modal_content += '"Hijos Matriculados":"'+str(total_hijos[0][0])+'"'
        modal_content += ','
        modal_content += '"Email":"'+(q[3])+'"'
        modal_content += ','
        modal_content += '"user_id":"'+str(q[0])+'"'
        modal_content += '}'
        if i < len_result:
            modal_content += ','
    modal_content += ']'



    ###### info

    info = '{'
    info += '"dash_name":"Manejar Facultad"' #nombre en el header
    info += ','
    info += '"dash_link":"/admin/ver/"' #link si click el header
    info += ','
    info += '"dash_sub_name":"Facultad Registrados"' #titulo grande de la pagina
    info += ','
    info += '"add":"Anadir Facultad"' #texto en el boton para a~nadir perfil
    info += ','
    info += '"add_link":"/admin/forma/add/facultad/"' #direccion para el boton para a~nadir perfil
    info += ','
    info += '"bot1":"Ver Mas"' #texto del primer boton en una fila
    info += ','
    info += '"bot2":"Editar"' #texto del segundo boton en una fila
    info += ','
    info += '"dir2":"/admin/forma/edit/facultad/"' #direccion del segundo boton
    info += '}'

    ###### modal
    # modal contiene el titulo y la direccion parcial del modal

    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"/admin/ver/"'
    modal += '}'

    result = '{"headers":'+headers+',"tabla":'+tabla+',"modal_content":'+modal_content+',"info":'+info+',"modal":'+modal+'}'

    # print(result)
    return(result)


# esta funcion se obtiene cuando un administrador quiere ver las visitas a la oficina
#   url: /admin/ver/visitas_oficina

def visita():

    ###### headers
    # headers contiene los titulos de las columnas

    headers = '['
    headers += '{"nombre":"Dia y hora"}'
    headers += ','
    headers += '{"nombre":"Nombre Administrador"}'
    headers += ','
    headers += '{"nombre":"Nombre Estudiante"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Editar"}'
    headers += ']'



    ###### tabla
    # tabla contiene la informacion que sale en las filas

    query ='SELECT t1.id, t2.nombres e_nombre, t2.apellidos e_apellido,\
                t1.nombres p_nombre, t1.apellidos p_apellido, t1.razon, t1.acciones, t1.fecha\
            FROM (SELECT v.id, u.nombres, u.apellidos,v.razon, v.acciones, v.fecha\
                  	FROM visitas_oficina v, usuarios u\
                  	WHERE v.estudiante_id = u.id) t1,\
            	 (SELECT v.id, u.nombres, u.apellidos\
                  	FROM visitas_oficina v, usuarios u\
                  	WHERE v.administradora_id = u.id) t2\
            WHERE t1.id=t2.id'
    result_db = connection.execute(query).fetchall()

    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1

        dia = str(q[7]).split(' ')[0]
        hora = str(q[7]).split(' ')[1]
        hora = hora.split(':')
        hora = hora[0]+':'+hora[1]
        dia_hora = dia + ' ' + hora

        tabla           += '{'
        tabla           += '"Dia y hora":"'+dia_hora+'"'
        tabla           += ','
        tabla           += '"Nombre Administrador":"'+(q[1])+' '+(q[2])+'"'
        tabla           += ','
        tabla           += '"Nombre Estudiante":"'+(q[3])+' '+(q[4])+'"'
        tabla           += ','


        tabla           += '"user_id":"'+str(q[0])+'"'
        tabla           += '}'

        if i < len_result:
            tabla        += ','
    tabla               += ']'



    ###### modal_content
    # modal_content contiene la informacion única de cada fila al presionar 'ver mas'

    query ='SELECT t1.id, t2.nombres e_nombre, t2.apellidos e_apellido,\
                t1.nombres p_nombre, t1.apellidos p_apellido, t1.razon, t1.acciones, t1.fecha\
            FROM (SELECT v.id, u.nombres, u.apellidos,v.razon, v.acciones, v.fecha\
                  	FROM visitas_oficina v, usuarios u\
                  	WHERE v.estudiante_id = u.id) t1,\
            	 (SELECT v.id, u.nombres, u.apellidos\
                  	FROM visitas_oficina v, usuarios u\
                  	WHERE v.administradora_id = u.id) t2\
            WHERE t1.id=t2.id'
    result_db = connection.execute(query).fetchall()

    modal_content = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1

        dia = str(q[7]).split(' ')[0]
        hora = str(q[7]).split(' ')[1]
        hora = hora.split(':')
        hora = hora[0]+':'+hora[1]
        dia_hora = dia + ' ' + hora

        modal_content   += '{'
        modal_content   += '"Nombre Administrador":"'+(q[1])+' '+(q[2])+'"'
        modal_content   += ','
        modal_content   += '"Nombre Estudiante":"'+(q[3])+' '+(q[4])+'"'
        modal_content   += ','

        modal_content   += '"Dia y hora":"'+dia_hora+'"'
        modal_content   += ','
        modal_content   += '"Razon":"'+(q[5])+'"'
        modal_content   += ','
        modal_content   += '"Explicación":"'+(q[6])+'"'
        modal_content   += ','
        modal_content   += '"user_id":"'+str(q[0])+'"'
        modal_content   += '}'
        if i < len_result:
            modal_content+= ','
    modal_content       += ']'



    ###### info

    info = '{'
    info += '"dash_name":"Administración- Manejar Visitas"' #nombre en el header
    info += ','
    info += '"dash_link":"/admin/ver/"' #link si click el header
    info += ','
    info += '"dash_sub_name":"Visitas hechas"' #titulo grande de la pagina
    info += ','
    info += '"add":"Anadir Visita"' #texto en el boton para a~nadir perfil
    info += ','
    info += '"add_link":"/admin/forma/add/visitas_oficina/"' #direccion para el boton para a~nadir perfil
    info += ','
    info += '"bot1":"Ver Mas"' #texto del primer boton en una fila
    info += ','
    info += '"bot2":"Editar"' #texto del segundo boton en una fila
    info += ','
    info += '"dir2":"/admin/forma/edit/visitas_oficina/"' #direccion del segundo boton
    info += '}'


    ###### modal
    # modal contiene el titulo y la direccion parcial del modal
    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"#"'
    modal += '}'

    result = '{"headers":'+headers+',"tabla":'+tabla+',"modal_content":'+modal_content+',"info":'+info+',"modal":'+modal+'}'

    return(result)


# esta funcion se obtiene cuando un administrador quiere ver las visitas a la oficina
#   url: /admin/ver/visitas_oficina

def transcripcion():

    ###### headers
    # headers contiene los titulos de las columnas

    headers = '['
    headers += '{"nombre":"Nombre"}'
    headers += ','
    headers += '{"nombre":"Grado"}'
    headers += ','
    headers += '{"nombre":"Email"}'
    headers += ','
    headers += '{"nombre":"Informacion"}'
    headers += ','
    headers += '{"nombre":"Transcripción"}'
    headers += ']'


    ###### tabla
    # tabla contiene la informacion que sale en las filas

    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u, estudiantes m \
            WHERE u.id = m.user_id'
    result_db = connection.execute(query).fetchall()


    tabla = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1
        tabla += '{'
        tabla += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        tabla += ','

        query = 'SELECT grado FROM estudiantes e WHERE e.user_id = ' + str(q[0])
        grado = connection.execute(query).fetchall()

        tabla += '"Grado":"'+str(grado[0][0])+'"'

        tabla += ','
        tabla += '"Email":"'+(q[3])+'"'
        tabla += ','
        tabla += '"user_id":"'+str(q[0])+'"'
        tabla += '}'
        if i < len_result:
            tabla += ','
    tabla += ']'


    ###### modal_content
    # modal_content contiene la informacion única de cada fila al presionar 'ver mas'
    query = 'SELECT u.id, u.nombres, u.apellidos, u.email \
            FROM usuarios u, estudiantes m \
            WHERE u.id = m.user_id'
    result_db = connection.execute(query).fetchall()

    modal_content = '['
    i = 0
    len_result = len(result_db)
    for q in result_db:
        i = i+1

        query = 'SELECT grado FROM estudiantes e WHERE e.user_id = ' + str(q[0])
        grado = connection.execute(query).fetchall()

        modal_content += '{'
        modal_content += '"Nombre":"'+(q[1])+' '+(q[2])+'"'
        modal_content += ','
        modal_content += '"Grado":"'+str(grado[0][0])+'"'
        modal_content += ','
        modal_content += '"Email":"'+(q[3])+'"'
        modal_content += ','
        modal_content += '"user_id":"'+str(q[0])+'"'
        modal_content += '}'
        if i < len_result:
            modal_content += ','
    modal_content += ']'




    ###### info

    info = '{'
    info += '"dash_name":"Manejar Estudiantes"' #nombre en el header
    info += ','
    info += '"dash_link":"/admin/ver/"' #link si click el header
    info += ','
    info += '"dash_sub_name":"Estudiantes Registrados"' #titulo grande de la pagina
    info += ','
    info += '"add":"Anadir Estudiantes"' #texto en el boton para a~nadir perfil
    info += ','
    info += '"add_link":"/admin/forma/add/estudiante/"' #direccion para el boton para a~nadir perfil
    info += ','
    info += '"bot1":"Ver Mas"' #texto del primer boton en una fila
    info += ','
    info += '"bot2":"Generar"' #texto del segundo boton en una fila
    info += ','
    info += '"dir2":"/admin/forma/crear/transcripcion/"' #direccion del segundo boton
    info += '}'

    ###### modal
    # modal contiene el titulo y la direccion parcial del modal

    modal = '{'
    modal += '"infoName":"Ver informacion"'
    modal += ','
    modal += '"editName":"/admin/ver/"'
    modal += '}'

    result = '{"headers":'+headers+',"tabla":'+tabla+',"modal_content":'+modal_content+',"info":'+info+',"modal":'+modal+'}'

    return(result)
