/*
este archivo llama a la base de datos con la informacion adecuada basado en cual
pagina el administrador esta accesando
*/
var table = angular.module('table',['ngSanitize']);

table.controller('tableController', function tableController($http, $scope, pagina){

  var url = '/admin/datos/'+pagina+'/'
  console.log(',datos,admin,'+pagina);

  $http.get(url).then(function(response) {
    // headers contiene los titulos de las columnas
    $scope.headers = response.data.headers;

    // tabla contiene la informacion de cada fila
    $scope.tabla = response.data.tabla;

    // info contiene la siguiente informacion:
    //    texto del header y su link
    //    titulo de la pagina
    //    texto y link del boton de añadir
    //    texto del boton de 'ver mas'
    //    texto y link del boton de 'editar'
    $scope.info = response.data.info;

    // modal contiene el titulo y la direccion parcial del modal
    $scope.modal = response.data.modal;

    // modal_content contiene la informacion única de cada fila al presionar 'ver mas'
    $scope.modal_content = response.data.modal_content;

    console.log(response.data);
  });
});
